package nckd.jimin.jyyy.fi.plugin.form;

import com.alibaba.druid.util.StringUtils;
import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.entity.operate.result.IOperateInfo;
import kd.bos.entity.operate.result.OperationResult;
import kd.bos.form.events.AfterDoOperationEventArgs;

import java.util.List;

public class PublicReimburseBillSRMEditPlugin extends AbstractBillPlugIn {
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs afterDoOperationEventArgs) {
        super.afterDoOperation(afterDoOperationEventArgs);

        String opKey = afterDoOperationEventArgs.getOperateKey();
        if(StringUtils.equals("nckd_returnsrm", opKey)){
            OperationResult operationResult = afterDoOperationEventArgs.getOperationResult();
            operationResult.setShowMessage(false);
            String message = operationResult.getMessage();

            List<IOperateInfo> errorInfos = operationResult.getAllErrorOrValidateInfo();
            boolean isSuccess = operationResult.isSuccess();
            if(errorInfos.size()>0){
                operationResult.setSuccess(false);
                StringBuffer msg = new StringBuffer();
                for (IOperateInfo errInfo: errorInfos) {
                    msg.append(errInfo.getMessage()).append("\r\n");
                }
                message = message + "\r\n" + msg.toString();
            }

            this.getView().showTipNotification(message);
        }
        if(StringUtils.equals("pay",afterDoOperationEventArgs.getOperateKey())){

        }
        if(StringUtils.equals("cancelpay",afterDoOperationEventArgs.getOperateKey())){

        }
    }
}
